﻿using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.AspNetCore.Mvc;
using Syncfusion.EJ2.Charts;
namespace coreEJ2Sample.Controllers
{
    public partial class ChartController : Controller
    {
        //
        // GET: /Chart/
         public ActionResult ChartFeatures()
        {

            List<LineChartData> chartData = new List<LineChartData>
            {
                new LineChartData { xValue = "X1", yValue = 21, text = "X1 Data" },
                new LineChartData { xValue = "X2", yValue = 24, text = "X2 Data" },
                new LineChartData { xValue = "X3", yValue = 36, text = "X3 Data" },
                new LineChartData { xValue = "X4", yValue = 38, text = "X4 Data" },
                new LineChartData { xValue = "X5", yValue = 54, text = "X5 Data" },
                new LineChartData { xValue = "X6", yValue = 57, text = "X6 Data" },
                new LineChartData { xValue = "X7", yValue = 70, text = "X7 Data" },
            };
            ViewBag.dataSource = chartData;
            return View();
        }


        public class LineChartData
        {
            public string xValue;
            public double yValue;
            public string text;
        }
    }
   
}
